Subject: Typo on your website...

From: Ron Steelman <[email-masked]>
Date: Sun, 09 Jan 2005 19:14:13 -0500

Hi,
I'm Ron Steelman, President of Red Bank Humanists, Inc. in New Jersey. 
We are planning to focus our next meeting (February 13) on the Darwin 
Day celebration and your website. I'm planning a press release next week 
to the local media.

I was reading your website and noticed a type-o on your "About DDC" 
page. The last sentence of the first paragraph reads, "These are worthy 
achievements for all humankind to celebrated!"

I thought you should know so you can correct it.

Best Regards,
Ron Steelman, President Red Bank Humanists
[email-masked]

PS - We carry a link to your website in our links section of our website.